#initial-loader {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 100vw;
  background-color: #f8f9fa;
  color: #000000;
  font-family: "Inter", "Roboto", "Helvetica", "Arial", sans-serif;
}

.spinner {
  width: 40px;
  height: 40px;
  border: 4px solid rgba(0, 0, 0, 0.1);
  border-radius: 50%;
  border-top-color: #3b82f6;
  animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

@media (prefers-color-scheme: dark) {
  #initial-loader {
    background-color: #0f1115;
    color: #ffffff;
  }

  .spinner {
    border: 4px solid rgba(255, 255, 255, 0.1);
    border-top-color: #3b82f6;
  }
}
